Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.server.plugin
Interface PluginAction

public interface PluginAction
extends PluginObject

The interface that a plugin must implement to define a new action.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`int` | `execute(ActionContext actionContext, ExecutionContext execContext)` Execute the plugin action.
`void` | `fixup(com.bea.wlpi.evaluator.ExpressionParser parser)` The framework calls this method after parsing the template definition.
`void` | `response(ActionContext actionContext, ExecutionContext execContext, java.lang.Object data)` Process an asynchronous response directed to this action.
`void` | `startedWorkflowDone(ActionContext actionContext, ExecutionContext context, VariableInfo[] output)` Notify the plugin action that a sub-workflow it started is now complete.

Methods inherited from interface com.bea.wlpi.common.plugin.PluginObject
`load`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Method Detail

### execute

    public int execute(ActionContext actionContext,
                       ExecutionContext execContext)
                throws WorkflowException

  Execute the plugin action. The plugin action performs its business logic during this call.

  Parameters:
    `actionContext` - This object provides action-level services such as execution of sub-actions and sub-workflow instantiation.
    `execContext` - The execution context. This object provides access to the runtime context, including the template ID, template definition ID, workflow instance ID, event data, and various services related to workflow enactment.
  Returns:
    Indicates whether (and how) to continue subsequent processing: `ExecutionContext.CONTINUE`, `ExecutionContext.STOP`, `ExecutionContext.EXIT_ROLLBACK`, `ExecutionContext.EXIT_CONTINUE`, or `ExecutionContext.EXIT_RETRY`
  Throws:
    WorkflowException - if an error occurred during action execution.

### fixup

    public void fixup(com.bea.wlpi.evaluator.ExpressionParser parser)
               throws WorkflowException

  The framework calls this method after parsing the template definition. This provides the plugin action with an opportunity to compile any expressions it has.

  Parameters:
    `parser` - The expression parser to use. N.B. This object is not thread-safe: plug-ins must not keep a reference to it. This parameter is provided for backwards compatibility only. Plug-ins should use the factory method `Expression.getExpression(String)` or one of its overloads to compile their expressions.

### response

    public void response(ActionContext actionContext,
                         ExecutionContext execContext,
                         java.lang.Object data)
                  throws WorkflowException

  Process an asynchronous response directed to this action. The response is typically to an external request that the action raised in a prior call to its `execute(com.bea.wlpi.server.plugin.ActionContext, com.bea.wlpi.server.common.ExecutionContext)` method. Plugin actions can use this callback to effect such responses as asynchronous execution of a sub-action list. The framework ultimately calls this method when it receives a call to `Worklist.response(String, String, String, Object)` or one of the other overloads.

  Parameters:
    `actionContext` - This object provides action-level services such as the execution of sub-actions and sub-workflow instantiation.
    `execContext` - The execution context. This object provides access to the runtime context, including the template ID, template definition ID, workflow instance ID, event data, and various services related to workflow enactment.
    `data` - Data object which the plugin casts to a known type in order to extract required information.

### startedWorkflowDone

    public void startedWorkflowDone(ActionContext actionContext,
                                    ExecutionContext context,
                                    VariableInfo[] output)
                             throws WorkflowException

  Notify the plugin action that a sub-workflow it started is now complete.

  Parameters:
    `actionContext` - This object provides action-level services such as the execution of sub-actions and sub-workflow instantiation.
    `execContext` - The execution context. This object provides access to the runtime context, including the template ID, template definition ID, workflow instance ID, event data, and various services related to workflow enactment.
    `output` - The output variables of the called workflow.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)